"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const packages_manager_1 = require("../../managers/packages-manager");
class Install {
    packages;
    logger;
    async init(props) {
        if (Array.isArray(props)) {
            this.packages = props;
        }
        else if (typeof props === 'string') {
            this.packages = props.split(',').map(e => e.trim().split(' ').map(e => e.trim())).flat().filter(e => e);
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        if (!this.packages?.length)
            throw new Error('Packages are required to install');
        const packageManager = new packages_manager_1.PackagesManager(this.logger);
        await packageManager.install(...this.packages);
        return true;
    }
    dispose() { }
}
exports.default = Install;
//# sourceMappingURL=install.js.map